package com.engine.organization.mapper.trigger;

import org.apache.ibatis.annotations.Param;

/**
 * @author:dxfeng
 * @createTime: 2022/09/21
 * @version: 1.0
 */
public interface StaffTriggerMapper {
    Integer countCompanyUsers(@Param("ecCompanyId") Long ecCompanyId);

    Integer countDepartmentUsers(@Param("ecDepartmentId") Long ecDepartmentId);

    Integer countCompanyStaffNum(@Param("currentDate") String currentDate, @Param("companyId") Long companyId);

    Integer countDepartmentStaffNum(@Param("currentDate") String currentDate, @Param("departmentId") Long departmentId);

    Integer countJobStaffNum(@Param("currentDate") String currentDate, @Param("jobId") Long jobId);

    Integer updateOrgStaffs(@Param("currentDate") String currentDate, @Param("fType") String fType, @Param("fObjId") String fObjId, @Param("fPlan") Integer fPlan, @Param("fOnJob") Integer fOnJob);
}
